import { Observable } from 'rxjs/Observable';
import { GeneralUtils, HttpUtilsService, MessageService } from 'bitfront-library/shared/index';
import { PeticionCita } from '../data/peticion-cita';
import { ResumenCita } from '../data/resumen-cita';
export declare class CitaService {
    http: HttpUtilsService;
    message: MessageService;
    utils: GeneralUtils;
    protected baseUrl: string;
    constructor(http: HttpUtilsService, message: MessageService, utils: GeneralUtils);
    reserveCita(peticion: PeticionCita): Observable<ResumenCita>;
}
