"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var index_1 = require("bitfront-library/shared/index");
var CitaService = (function () {
    function CitaService(http, message, utils) {
        this.http = http;
        this.message = message;
        this.utils = utils;
        this.baseUrl = 'v1/campanyas';
        console.log("CitaService construido");
    }
    CitaService.prototype.reserveCita = function (peticion) {
        var query = this.baseUrl + '/' + peticion.referencia + '/citas' + '?idioma=' + index_1.Idioma.getCodigo();
        return this.http.getHttpPost(query, peticion);
    };
    CitaService.decorators = [
        { type: core_1.Injectable },
    ];
    /** @nocollapse */
    CitaService.ctorParameters = function () { return [
        { type: index_1.HttpUtilsService, },
        { type: index_1.MessageService, },
        { type: index_1.GeneralUtils, },
    ]; };
    return CitaService;
}());
exports.CitaService = CitaService;
//# sourceMappingURL=cita.service.js.map